python3-comedilib_0.11.0-1_amd64.deb


Advertisement

Description

python3-comedilib - Python3 wrapper for Comedilib

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename python3-comedilib_0.11.0-1_amd64.deb
Package name python3-comedilib
Package version 0.11.0
Package release 1
Package architecture amd64
Package type deb
Category python
Homepage http://www.comedi.org
License -
Maintainer Gudjon I. Gudjonsson <gudjon@gudjon.org>
Download size 168.99 KB
Installed size 532.00 KB
Comedilib is a library for using Comedi, a driver interface for data
acquisition hardware.  See the libcomedi0 package for more information.
This package provides Python3 bindings to the comedi library.

Alternatives

Package Version Architecture Repository
python3-comedilib_0.11.0-1_i386.deb 0.11.0 i386 Debian Main
python3-comedilib - - -

Requires

Name Value
libc6 >= 2.14
libcomedi0 >= 0.11.0
python3 << 3.8
python3 >= 3.7~
python3:any -

Provides

Name Value
python3.7-comedilib -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python3-comedilib_0.11.0-1_amd64.deb
Source Package comedilib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3-comedilib deb package:
    # sudo apt-get install python3-comedilib

Files

Path
/usr/lib/python3/dist-packages/comedi/_comedi.cpython-37m-x86_64-linux-gnu.so
/usr/lib/python3/dist-packages/comedi/comedi.py
/usr/share/doc/python3-comedilib/changelog.Debian.gz
/usr/share/doc/python3-comedilib/changelog.gz
/usr/share/doc/python3-comedilib/copyright

Changelog

2018-12-31 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
comedilib (0.11.0-1) unstable; urgency=medium
* New upstream release
* Bump standards version to 4.3.0
* Change watch file url to https
* Remove ancient conflict with libcomedi-0.7.22
* Change get-orig-source target to use DEB_VERSION_UPSTREAM
* Update symbols file
* Remove python dbgsym files
2016-01-16 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
comedilib (0.10.2-4) unstable; urgency=medium
* Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
(Closes: #807191)
2015-08-02 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
comedilib (0.10.2-3) unstable; urgency=medium
* Fix extension names for python3.5 (Closes: #793576)
* Bump standards version to 3.9.6
* Remove pycompat
2014-07-10 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
comedilib (0.10.2-2) unstable; urgency=medium
* Add dh_autoreconf (Closes: #754195)
2014-07-01 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
comedilib (0.10.2-1) unstable; urgency=medium
* New upstream version (Closes: #711203)
* Bump standards version to 3.9.5
* Update comedi calibrate to version 2 (Closes: #732685)
* Remove all patches. Already in upstream.
* Add directories for comedi-calibrate (thanks to √Čric Piel)
* Add dependency on  libboost-dev
* Add patch 02_configure to disable checking of libcomedi
* Update hardening to standard
* Remove dh-autoreconf
2014-05-11 - Petter Reinholdtsen <pere@debian.org>
comedilib (0.10.1-1.1) unstable; urgency=low
* Non-maintainer upload to fix RC bug #733322.
* Fix build problem with newer bison (Closes: #733322).  Patch from
Daniel T Chen and Ubuntu via A. Maitland Bottoms backporting
upstream changesets 90ce9a9, cc0c9e7, f4e228e, c689eff, and
2277e82.
* Use dh-autoreconf to fix build problem on some architectures
(Closes: #727345).  Drop now obsolete autotools-dev build
dependency.  Patch from Daniel T Chen and Ubuntu via A. Maitland
Bottoms.
* Add new executables comedi_soft_calibrate and comedi_board_info to
the libcomedi1 package (Closes: #711203). Add new directory
/var/lib/comedi/calibrations to the package, and build using
--localstatedir=/var to store the state to the correct location.
Patch from A. Maitland Bottoms.
* Adjusted 01_calibrate_build.patch to remove check for comedilib.h too,
to ensure the comedi-calibrate/configure script work without libcomedi0.
2013-08-18 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
comedilib (0.10.1-1) unstable; urgency=low
* New upstream release
* Bump compat to 9
* Add hardening
* Upgraded copyright file
2013-08-11 - Sebastian Ramacher <sramacher@debian.org>
comedilib (0.10.0-3.1) unstable; urgency=low
* Non-maintainer upload.
* debian/patches/03_bison.patch: Apply patch from upstream to fix build
failure with bison 2.6. (Closes: #710622)
* debian/python-comedilib.install: Don't install static libraries for the
Python package. They are of no use and cause a lintian autoreject.
2012-07-05 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
comedilib (0.10.0-3) unstable; urgency=low
* Change pdf backend from fop to no. Fixes compilation on mips.
2012-06-25 - Gudjon I. Gudjonsson <gudjon@gudjon.org>
comedilib (0.10.0-2) unstable; urgency=low
* Add dependency on adduser (Closes: #677573)

See Also

Package Description
python3-commando_1.0.0-0.2_all.deb wrapper for argparse to define declaratively (Python 3)
python3-commonmark-bkrs_0.5.4+ds-2_all.deb Python parser for the CommonMark Markdown spec -- Python 3
python3-compreffor_0.4.6.post1-1_amd64.deb CFF table subroutinizer for FontTools
python3-confget_2.2.0-4_all.deb read variables from INI-style configuration files - Python 3.x library
python3-configargparse_0.13.0-1_all.deb replacement for argparse with config files and environment variables (Python 3)
python3-configobj_5.0.6-3_all.deb simple but powerful config file reader and writer for Python 3
python3-configshell-fb_1.1.24-1_all.deb Python library for building configuration shells - Python 3
python3-confluent-kafka_0.11.6-1_amd64.deb Python client to interact with Kafka - Python 3.x
python3-congress_8.0.0+dfsg1-1_all.deb OpenStack Policy as a Service - Python libraries
python3-congressclient_1.11.0-2_all.deb client for the open policy framework for the cloud - Python 3.x
python3-constantly_15.1.0-1_all.deb Symbolic constants in Python
python3-construct.legacy_2.5.3-2_all.deb legacy fork of declarative binary data parser/builder (Python 3)
python3-construct_2.8.16-0.2_all.deb powerful declarative parser (and builder) for binary data
python3-consul_0.7.1-1_all.deb Python client for Consul.io - Python 3.X
python3-contextlib2_0.5.5-1_all.deb Backport and enhancements for the contextlib module - Python 3.x
Advertisement
Advertisement